| Flutter iOS Embedder |

Classes | Namespaces | Functions | Variables
FlutterPlatformPlugin.mm File Reference
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterPlatformPlugin.h"`
`#import <AudioToolbox/AudioToolbox.h>`
`#import <Foundation/Foundation.h>`
`#import <UIKit/UIApplication.h>`
`#import <UIKit/UIKit.h>`
`#include "flutter/fml/logging.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterEngine_Internal.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterSharedApplication.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterTextInputPlugin.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterViewController_Internal.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/UIViewController+FlutterScreenAndSceneIfLoaded.h"`

Go to the source code of this file.

## Namespaces
| FLUTTER_ASSERT_ARC
| flutter

## Functions
static void | SetStatusBarHiddenForSharedApplication (BOOL hidden)
static void | SetStatusBarStyleForSharedApplication (UIStatusBarStyle style)

## Variables
constexpr char | FLUTTER_ASSERT_ARC::kTextPlainFormat [] = "text/plain"
const UInt32 | FLUTTER_ASSERT_ARC::kKeyPressClickSoundId = 1306
NSString *const | FLUTTER_ASSERT_ARC::kSearchURLPrefix = @"@"x-web-search://?"

## Function Documentation

## ◆ SetStatusBarHiddenForSharedApplication()

static void SetStatusBarHiddenForSharedApplication | ( | BOOL | hidden | ) |
| static

Definition at line 46 of file FlutterPlatformPlugin.mm.

46 {
47 UIApplication* flutterApplication = FlutterSharedApplication.application;
48 if (flutterApplication) {
49 flutterApplication.statusBarHidden = hidden;
50 } else {
51 FML_LOG(WARNING) << "Application based status bar styling is not available in app extension.";
52 }
53 }
FlutterSharedApplication
Definition: FlutterSharedApplication.h:11
FlutterSharedApplication::application
UIApplication * application
Definition: FlutterSharedApplication.h:25

References FlutterSharedApplication::application.

## ◆ SetStatusBarStyleForSharedApplication()

static void SetStatusBarStyleForSharedApplication | ( | UIStatusBarStyle | style | ) |
| static

Definition at line 55 of file FlutterPlatformPlugin.mm.

55 {
56 UIApplication* flutterApplication = FlutterSharedApplication.application;
57 if (flutterApplication) {
58 // Note: -[UIApplication setStatusBarStyle] is deprecated in iOS9
59 // in favor of delegating to the view controller.
60 [flutterApplication setStatusBarStyle:style];
61 } else {
62 FML_LOG(WARNING) << "Application based status bar styling is not available in app extension.";
63 }
64 }

References FlutterSharedApplication::application.